Bug 959723 - when clicking between mount points, size changes erratically
Summary: when clicking between mount points, size changes erratically
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Lehman
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: newui-container
Depends On:
Blocks: 959725
TreeView+ depends on / blocked
 
Reported: 2013-05-05 03:49 UTC by Chris Murphy
Modified: 2013-05-18 04:55 UTC (History)
6 users (show)

Fixed In Version: pykickstart-1.99.31-1.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 959725 (view as bug list)
Environment:
Last Closed: 2013-05-18 04:55:40 UTC


Attachments (Terms of Use)
anaconda.log (130.31 KB, text/plain)
2013-05-05 03:51 UTC, Chris Murphy
no flags Details
program.log (17.59 KB, text/plain)
2013-05-05 03:52 UTC, Chris Murphy
no flags Details
storage.log (2.60 MB, text/plain)
2013-05-05 03:52 UTC, Chris Murphy
no flags Details
storage.state (20.00 KB, application/octet-stream)
2013-05-05 03:52 UTC, Chris Murphy
no flags Details

Description Chris Murphy 2013-05-05 03:49:12 UTC
Description of problem:
When click back and forth between two mount points, the size of one of the mount points changes to to a different value with each click. Erratic behavior.

Version-Release number of selected component (if applicable):
anaconda 19.24-1

How reproducible:
Intermittant


Steps to Reproduce:
1. Choose four disks as targets for installation.
2. Installation options, choose partition scheme BTRFS
3. Manual partitioning, create two mount points each with their own BTRFS volume, one raid0, one raid1.
4. Click back and forth between the two mount points.
  
Actual results:
/home mount point size changes with each back and forth click.

Expected results:
I expect the size to remain stable until the user makes a change.

Additional info:

Comment 1 Chris Murphy 2013-05-05 03:51:55 UTC
Created attachment 743668 [details]
anaconda.log

Comment 2 Chris Murphy 2013-05-05 03:52:07 UTC
Created attachment 743669 [details]
program.log

Comment 3 Chris Murphy 2013-05-05 03:52:28 UTC
Created attachment 743670 [details]
storage.log

Comment 4 Chris Murphy 2013-05-05 03:52:38 UTC
Created attachment 743671 [details]
storage.state

Comment 5 Chris Murphy 2013-05-05 03:57:52 UTC
The mount point whose size changes with each click, is in a volume configured with a Size Policy of "as large as possible".

So in addition to size being erratic, it's also incorrect as there's still ~1.62 TB of available space.

Comment 6 Chris Murphy 2013-05-05 04:30:55 UTC
Bug 959725 filed for the 2nd line of comment 5.

Comment 7 David Lehman 2013-05-14 16:41:07 UTC
Now that you can directly control the size of the volume we shouldn't be allowing changes to the size entry for subvols. There are a few changes that go along with that, though, which will take some time to sort out.

I suppose I could fix the immediate bug here in the meantime.

Comment 8 Fedora Update System 2013-05-15 22:25:47 UTC
anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19

Comment 9 Fedora Update System 2013-05-16 05:22:16 UTC
Package anaconda-19.27-1.fc19, pykickstart-1.99.31-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-19.27-1.fc19 pykickstart-1.99.31-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.27-1.fc19
then log in and leave karma (feedback).

Comment 10 Fedora Update System 2013-05-17 22:19:43 UTC
Package pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.31-1.fc19 anaconda-19.28-1.fc19 python-blivet-0.14-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-8322/python-blivet-0.14-1.fc19,pykickstart-1.99.31-1.fc19,anaconda-19.28-1.fc19
then log in and leave karma (feedback).

Comment 11 Fedora Update System 2013-05-18 04:55:40 UTC
pykickstart-1.99.31-1.fc19, anaconda-19.28-1.fc19, python-blivet-0.14-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.